Bug 211996 - Anaconda trace when cancelling iSCSI parameters dialogue
Summary: Anaconda trace when cancelling iSCSI parameters dialogue
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-24 14:17 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-23 01:38:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bastien Nocera 2006-10-24 14:17:03 UTC
RHEL5-Server-20061006.2

1. In the installer, select fresh install.
2. When selecting which disk to install, press <F2> to add disk.
3. The install prompts for adding iSCSI target parameters.
4. Select "Cancel".
5. Traceback:
Traceback (most recent call first):                                            
  File "/usr/lib/python2.4/site-packages/snack.py", line 472, in reflow
    return _snack.reflow(text, width, flexDown, flexUp)
  File "/usr/lib/python2.4/site-packages/snack.py", line 218, in __init__
    (newtext, width, height) = reflow(text, width, flexDown, flexUp)
  File "/usr/lib/python2.4/site-packages/snack.py", line 765, in ButtonChoiceWindow
    t = TextboxReflowed(width, text, maxHeight = screen.height - 12)
  File "/usr/lib/anaconda/textw/partition_text.py", line 1658, in addDriveDialog
    ButtonChoiceWindow(screen, _("Error"), e)
  File "/usr/lib/anaconda/textw/partition_text.py", line 1592, in __call__
    if self.addDriveDialog(screen) != INSTALL_BACK:
  File "/usr/lib/anaconda/text.py", line 517, in run
    rc = win(self.screen, instance)
  File "/usr/bin/anaconda", line 956, in ?
    anaconda.intf.run(anaconda)
TypeError: argument 1 must be string, not instance


Entering debugger...
> /usr/lib/python2.4/site-packages/snack.py(472)reflow()
-> return _snack.reflow(text, width, flexDown, flexUp)
(Pdb) bt
  /usr/bin/anaconda(960)?()
-> handleException(anaconda, sys.exc_info())
  /usr/lib/anaconda/text.py(517)run()
-> rc = win(self.screen, instance)
  /usr/lib/anaconda/textw/partition_text.py(1592)__call__()
-> if self.addDriveDialog(screen) != INSTALL_BACK:
  /usr/lib/anaconda/textw/partition_text.py(1658)addDriveDialog()
-> ButtonChoiceWindow(screen, _("Error"), e)
  /usr/lib/python2.4/site-packages/snack.py(765)ButtonChoiceWindow()
-> t = TextboxReflowed(width, text, maxHeight = screen.height - 12)
  /usr/lib/python2.4/site-packages/snack.py(218)__init__()
-> (newtext, width, height) = reflow(text, width, flexDown, flexUp)
> /usr/lib/python2.4/site-packages/snack.py(472)reflow()
-> return _snack.reflow(text, width, flexDown, flexUp)
(Pdb)

Comment 1 Jeremy Katz 2006-10-24 14:37:57 UTC
Fixed

Comment 2 RHEL Product and Program Management 2006-10-24 18:24:16 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 9 RHEL Product and Program Management 2006-12-23 01:38:41 UTC
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.



Note You need to log in before you can comment on or make changes to this bug.